#
# spec file for package libmpd
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libmpd
Version:        11.8.17
Release:        3.5
Summary:        Client Library to the Music Player Daemon
License:        GPL-2.0+
Group:          System/Libraries
Url:            http://gmpclient.org/
Source:         http://download.sarine.nl/Programs/gmpc/11.8/libmpd-%{version}.tar.gz
Source1:        baselibs.conf
#PATCH-FIX-UPSTREAM libmpd-glibc-2.20.patch avvissu@yandex.ru -- Fix build with glibc-2.20
Patch1:         libmpd-glibc-2.20.patch
Patch2:         libmpd-gcc14-fix.patch
BuildRequires:  doxygen
BuildRequires:  fdupes
BuildRequires:  libtool
%if 0%{?suse_version} == 1110
BuildRequires:  glib2-devel
%else
BuildRequires:  pkgconfig(glib-2.0)
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%define libname libmpd1

%description
libmpd is a library that provides high-level, callback-based access to Music
Player Daemon.

%package -n %libname
Summary:        The libmpd package
Group:          System/Libraries

%description -n %libname
libmpd is a library that provides high-level, callback-based access to Music
Player Daemon.

%package devel
Summary:        Development Files for libmpd
Group:          Development/Languages/C and C++
Requires:       pkgconfig(glib-2.0)
Requires:       %libname = %version

%description devel
This package provides the API documentation and development files needed to
develop applications based on libmpd.


%prep
%autosetup -p1

%build
autoreconf -fiv
%configure --disable-static
make %{?_smp_mflags}
make doc

%install
%make_install
rm -f %{buildroot}%{_libdir}/%{name}.la
%fdupes -s doc

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%defattr(-,root,root,-)
%{_libdir}/%{name}.so.*

%files devel
%defattr(-,root,root,-)
%doc ChangeLog COPYING doc/html
%{_includedir}/*
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Tue Aug 27 2024 Takashi Iwai <tiwai@suse.com>
- Fix the build error with gcc14:
  libmpd-gcc14-fix.patch
* Thu Feb 29 2024 pgajdos@suse.com
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN
* Wed Feb 11 2015 p.drouand@gmail.com
- Update to version 11.8.17
  * ChangeLog has not been updated
- Update home page Url
- Use download Url as source
- Update and unversion libmpd-0.20.0_glibc-2.20.patch
  > libmpd-glibc-2.20.patch
- Removed libmpd-overflow.patch
* Sat Nov  8 2014 crrodriguez@opensuse.org
- add baselibs.conf as source
* Tue Oct 21 2014 crrodriguez@opensuse.org
- Correct previous SR that I accepted too fast..one should not
  include config.h in public headers. fix the problem the right
  way.
* Mon Oct 20 2014 avvissu@yandex.ru
- Fix build error on openSUSE > 13.1:
  * add libmpd-0.20.0_glibc-2.20.patch
- Fix unresolvable dependencies on SLES11:
  * add BuildRequires:  glib2-devel
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Sun May  1 2011 toddrme2178@gmail.com
- Added 32bit compatibility libraries
- Removed duplicate documentation files (fix for RPMLINT warning)
* Sun Jan 30 2011 gber@opensuse.org
- fix dependencies of the -devel package
- improved summary/description
* Wed Dec 29 2010 gber@opensuse.org
- update to version 0.20.0
  * add replaygain support
  * add mpd_playlist_load
- cleanup
  * do not build static libs
  * dropped empty documentation files
  * improved summary/description
  * use separate .changes files
- build and include API documentation
* Wed Sep  2 2009 detlef@links2linux.de
- new upstream version <0.19.0>
* Tue Mar 10 2009 detlef@links2linux.de
- new upstream version <0.18.0>
* Sat Dec 27 2008 detlef@links2linux.de
- new upstream version <0.17.0>
  * Concatenate artist/composer/performer tag.
  * Support Query changes using idle command.
  * Unix socket support.
  * Fix false MPD_CST_STORED_PLAYLIST update.
  * Fix build on opensolaris.
  * Convert error messages to utf-8 before passing to gmpc.
  * Fix memory leak in idle check.
  * Several typo's fixed (thx to Priyank)
  * (Open) Solaris build fix.
  * Fix document distribution (thx to Priyank).
  * Support for playlist modification time.
  * Get more changed signals using idle command.
  * Convert debug output to locale before outputting.
* Fri Sep 26 2008 detlef@links2linux.de
- new upstream version <0.16.1>
  * Allow the error_callback to make an error critical (causing
    libmpd to disconnect)
* Mon Sep 22 2008 detlef@links2linux.de
- new upstream version <0.16.0>
* Mon Dec 17 2007 detlef@links2linux.de
- new upstream version <0.15.0>
* Thu Jul 26 2007 detlef@links2linux.de
- new upstream release <0.14.0>
- rename libmpd -> libmpd0
* Wed Mar 28 2007 detlef@links2linux.de
- new upstream release <0.13.0>
- fix URL
* Mon Jul 24 2006 bernhard@links2linux.de
- new upstream release
* Wed Feb 22 2006 bernhard@links2linux.de
- first package
